var Theta = require('ricoh-theta');
var fs    = require('fs');
var theta = new Theta();
theta.connect('192.168.1.1');

// 撮影
theta.on('connect', function(){ // 接続
  theta.capture(function(err){
    if(err) return console.error(err);
    console.log('capture success');
  });
});

// 新しく保存された写真をPCに吸い出す
theta.on('objectAdded', function(object_id){
  theta.getPicture(object_id, function(err, picture){
    fs.writeFile('tmp.jpg', picture, function(err){
      console.log('picture saved => tmp.jpg');
      theta.disconnect(); // 切断、終了
    });
  });
});
